#
# CTDB configuration for simple cluster
#
# This is the sample configuration for a 3-node CTDB cluster providing file
# services via Samba and NFS.
#
# Cluster details:
#
#                internal network (192.168.1.0/24)
#   -------+----------------------+-----------------------+----------
#          |                      |                       |
#          |                      |                       |
#     eth0 | 192.168.1.1     eth0 | 192.168.1.2      eth0 | 192.168.1.3
#    +-----+-----+          +-----+-----+           +-----+-----+
#    |           |          |           |           |           |
#    |  Node 1   |          |  Node 2   |           |  Node 3   |
#    |           |          |           |           |           |
#    +-----+-----+          +-----+-----+           +-----+-----+
#     eth1 | 10.1.1.1        eth1 | 10.1.1.2         eth1 | 10.1.1.3
#          |                      |                       |
#          |                      |                       |
#   -------+----------------------+-----------------------+----------
#                  public network (10.1.1.0/24)
#
#
# Storage details:
#
#  Each node has a shared storage - /shared
#
#
# Service details:
#
#  Cluster provides file services on following IP addresses
#
#     10.1.1.101 - 10.1.1.106
#
#  Each node also has a fixed IP address on public network.  This is used to
#  communicate to network infrastructure (e.g. DNS, Active Directory, ...).
#  Make sure that file services are not available on these fixed IP addresses
#  (e.g. network filtering, using cluster hostname instead of IPs)


CTDB_RECOVERY_LOCK=/shared/recovery.lock

#
# Nodes configuration
#
# ---------- /etc/ctdb/nodes ----------
# 192.168.1.1
# 192.168.1.2
# 192.168.1.3
# ---------- /etc/ctdb/nodes ----------
#
CTDB_NODES=/etc/ctdb/nodes

#
# Public addresses configuration
#
# ---------- /etc/ctdb/public_addresses ----------
# 10.1.1.101/24 eth1
# 10.1.1.102/24 eth1
# 10.1.1.103/24 eth1
# 10.1.1.104/24 eth1
# 10.1.1.105/24 eth1
# 10.1.1.106/24 eth1
# ---------- /etc/ctdb/public_addresses ----------
#
CTDB_PUBLIC_ADDRESSES=/etc/ctdb/public_addresses

# Enable logging to syslog
CTDB_SYSLOG=yes

# Default log level
CTDB_DEBUGLEVEL=NOTICE

# Auto start/stop managed services
CTDB_AUTO_STARTSTOP=yes

#
# Samba configuration
#
CTDB_MANAGES_SAMBA=yes
# CTDB_SAMBA_SKIP_SHARE_CHECK=yes

CTDB_MANAGES_WINBIND=yes

#
# NFS configuration
#
CTDB_MANAGES_NFS=yes
CTDB_RPCINFO_LOCALHOST="127.0.0.1"
# CTDB_MONITOR_NFS_THREAD_COUNT=yes
